head	1.14;
access;
symbols
	RELENG_8_4:1.14.0.2
	RELENG_9_1_0_RELEASE:1.13.2.1.4.2
	RELENG_9_1:1.13.2.1.0.4
	RELENG_9_1_BP:1.13.2.1
	RELENG_8_3_0_RELEASE:1.12.2.2.2.1
	RELENG_8_3:1.12.2.2.0.2
	RELENG_8_3_BP:1.12.2.2
	RELENG_9_0_0_RELEASE:1.13.2.1.2.1
	RELENG_9_0:1.13.2.1.0.2
	RELENG_9_0_BP:1.13.2.1
	RELENG_9:1.13.0.2
	RELENG_9_BP:1.13
	RELENG_7_4_0_RELEASE:1.11.12.1
	RELENG_8_2_0_RELEASE:1.12.2.1.6.1
	RELENG_7_4:1.11.0.12
	RELENG_7_4_BP:1.11
	RELENG_8_2:1.12.2.1.0.6
	RELENG_8_2_BP:1.12.2.1
	RELENG_8_1_0_RELEASE:1.12.2.1.4.1
	RELENG_8_1:1.12.2.1.0.4
	RELENG_8_1_BP:1.12.2.1
	RELENG_7_3_0_RELEASE:1.11.10.1
	RELENG_7_3:1.11.0.10
	RELENG_7_3_BP:1.11
	RELENG_8_0_0_RELEASE:1.12.2.1.2.1
	RELENG_8_0:1.12.2.1.0.2
	RELENG_8_0_BP:1.12.2.1
	RELENG_8:1.12.0.2
	RELENG_8_BP:1.12
	RELENG_7_2_0_RELEASE:1.11.8.1
	RELENG_7_2:1.11.0.8
	RELENG_7_2_BP:1.11
	RELENG_7_1_0_RELEASE:1.11.6.1
	RELENG_6_4_0_RELEASE:1.9.2.2.8.1
	RELENG_7_1:1.11.0.6
	RELENG_7_1_BP:1.11
	RELENG_6_4:1.9.2.2.0.8
	RELENG_6_4_BP:1.9.2.2
	RELENG_7_0_0_RELEASE:1.11
	RELENG_6_3_0_RELEASE:1.9.2.2
	RELENG_7_0:1.11.0.4
	RELENG_7_0_BP:1.11
	RELENG_6_3:1.9.2.2.0.6
	RELENG_6_3_BP:1.9.2.2
	RELENG_7:1.11.0.2
	RELENG_7_BP:1.11
	RELENG_6_2_0_RELEASE:1.9.2.2
	RELENG_6_2:1.9.2.2.0.4
	RELENG_6_2_BP:1.9.2.2
	RELENG_5_5_0_RELEASE:1.3.2.4
	RELENG_5_5:1.3.2.4.0.2
	RELENG_5_5_BP:1.3.2.4
	RELENG_6_1_0_RELEASE:1.9.2.2
	RELENG_6_1:1.9.2.2.0.2
	RELENG_6_1_BP:1.9.2.2
	RELENG_6_0_0_RELEASE:1.9.2.1
	RELENG_6_0:1.9.2.1.0.2
	RELENG_6_0_BP:1.9.2.1
	RELENG_6:1.9.0.2
	RELENG_6_BP:1.9
	RELENG_5_4_0_RELEASE:1.3.2.1
	RELENG_5_4:1.3.2.1.0.4
	RELENG_5_4_BP:1.3.2.1
	RELENG_5_3_0_RELEASE:1.3.2.1
	RELENG_5_3:1.3.2.1.0.2
	RELENG_5_3_BP:1.3.2.1
	RELENG_5:1.3.0.2
	RELENG_5_BP:1.3
	RELENG_5_2_1_RELEASE:1.1
	RELENG_5_2_0_RELEASE:1.1
	RELENG_5_2:1.1.0.6
	RELENG_5_2_BP:1.1
	RELENG_5_1_0_RELEASE:1.1
	RELENG_5_1:1.1.0.4
	RELENG_5_1_BP:1.1
	RELENG_5_0_0_RELEASE:1.1
	RELENG_5_0:1.1.0.2
	RELENG_5_0_BP:1.1;
locks; strict;
comment	@# @;


1.14
date	2012.11.17.01.49.04;	author svnexp;	state Exp;
branches
	1.14.2.1;
next	1.13;

1.13
date	2010.05.19.19.03.19;	author dougb;	state Exp;
branches
	1.13.2.1;
next	1.12;

1.12
date	2008.06.23.04.39.36;	author mtm;	state Exp;
branches
	1.12.2.1;
next	1.11;

1.11
date	2005.12.10.20.21.45;	author dougb;	state Exp;
branches
	1.11.2.1
	1.11.6.1
	1.11.8.1
	1.11.10.1
	1.11.12.1;
next	1.10;

1.10
date	2005.09.13.19.07.02;	author rwatson;	state Exp;
branches;
next	1.9;

1.9
date	2005.06.07.15.20.10;	author des;	state Exp;
branches
	1.9.2.1;
next	1.8;

1.8
date	2005.04.05.18.59.24;	author obrien;	state Exp;
branches;
next	1.7;

1.7
date	2004.10.18.23.40.13;	author thomas;	state Exp;
branches;
next	1.6;

1.6
date	2004.10.18.14.59.53;	author thomas;	state Exp;
branches;
next	1.5;

1.5
date	2004.10.07.13.55.25;	author mtm;	state Exp;
branches;
next	1.4;

1.4
date	2004.09.20.17.48.45;	author des;	state Exp;
branches;
next	1.3;

1.3
date	2004.03.08.12.25.05;	author pjd;	state Exp;
branches
	1.3.2.1;
next	1.2;

1.2
date	2004.02.02.19.05.06;	author pjd;	state Exp;
branches;
next	1.1;

1.1
date	2002.06.13.22.14.36;	author gordon;	state Exp;
branches;
next	;

1.14.2.1
date	2012.11.17.01.49.04;	author svnexp;	state dead;
branches;
next	1.14.2.2;

1.14.2.2
date	2013.03.28.13.02.43;	author svnexp;	state Exp;
branches;
next	;

1.13.2.1
date	2011.09.23.00.51.37;	author kensmith;	state Exp;
branches
	1.13.2.1.2.1
	1.13.2.1.4.1;
next	1.13.2.2;

1.13.2.2
date	2012.11.17.11.36.11;	author svnexp;	state Exp;
branches;
next	;

1.13.2.1.2.1
date	2011.11.11.04.20.22;	author kensmith;	state Exp;
branches;
next	1.13.2.1.2.2;

1.13.2.1.2.2
date	2012.11.17.08.36.11;	author svnexp;	state Exp;
branches;
next	;

1.13.2.1.4.1
date	2012.08.05.23.54.33;	author kensmith;	state Exp;
branches;
next	1.13.2.1.4.2;

1.13.2.1.4.2
date	2012.11.17.08.47.01;	author svnexp;	state Exp;
branches;
next	;

1.12.2.1
date	2009.08.03.08.13.06;	author kensmith;	state Exp;
branches
	1.12.2.1.2.1
	1.12.2.1.4.1
	1.12.2.1.6.1;
next	1.12.2.2;

1.12.2.2
date	2012.02.10.10.18.30;	author dougb;	state Exp;
branches
	1.12.2.2.2.1;
next	1.12.2.3;

1.12.2.3
date	2012.11.17.10.35.56;	author svnexp;	state Exp;
branches;
next	;

1.12.2.1.2.1
date	2009.10.25.01.10.29;	author kensmith;	state Exp;
branches;
next	;

1.12.2.1.4.1
date	2010.06.14.02.09.06;	author kensmith;	state Exp;
branches;
next	;

1.12.2.1.6.1
date	2010.12.21.17.09.25;	author kensmith;	state Exp;
branches;
next	;

1.12.2.2.2.1
date	2012.03.03.06.15.13;	author kensmith;	state Exp;
branches;
next	1.12.2.2.2.2;

1.12.2.2.2.2
date	2012.11.17.08.24.38;	author svnexp;	state Exp;
branches;
next	;

1.11.2.1
date	2012.11.17.08.01.20;	author svnexp;	state Exp;
branches;
next	;

1.11.6.1
date	2008.11.25.02.59.29;	author kensmith;	state Exp;
branches;
next	;

1.11.8.1
date	2009.04.15.03.14.26;	author kensmith;	state Exp;
branches;
next	;

1.11.10.1
date	2010.02.10.00.26.20;	author kensmith;	state Exp;
branches;
next	;

1.11.12.1
date	2010.12.21.17.10.29;	author kensmith;	state Exp;
branches;
next	1.11.12.2;

1.11.12.2
date	2012.11.17.08.16.37;	author svnexp;	state Exp;
branches;
next	;

1.9.2.1
date	2005.09.20.13.28.01;	author rwatson;	state Exp;
branches;
next	1.9.2.2;

1.9.2.2
date	2005.12.21.07.11.34;	author dougb;	state Exp;
branches
	1.9.2.2.8.1;
next	1.9.2.3;

1.9.2.3
date	2012.11.17.07.39.07;	author svnexp;	state Exp;
branches;
next	;

1.9.2.2.8.1
date	2008.10.02.02.57.24;	author kensmith;	state Exp;
branches;
next	;

1.3.2.1
date	2004.10.10.09.50.53;	author mtm;	state Exp;
branches;
next	1.3.2.2;

1.3.2.2
date	2005.04.30.16.21.04;	author des;	state Exp;
branches;
next	1.3.2.3;

1.3.2.3
date	2005.07.04.02.36.17;	author des;	state Exp;
branches;
next	1.3.2.4;

1.3.2.4
date	2005.09.20.13.28.35;	author rwatson;	state Exp;
branches;
next	;


desc
@@


1.14
log
@Switching exporter and resync
@
text
@#!/bin/sh
#
# $FreeBSD: head/etc/rc.d/dumpon 208307 2010-05-19 19:03:19Z dougb $
#

# PROVIDE: dumpon
# REQUIRE: zvol
# BEFORE: disks
# KEYWORD: nojail

. /etc/rc.subr

name="dumpon"
start_cmd="dumpon_start"
stop_cmd="dumpon_stop"

dumpon_try()
{
	if /sbin/dumpon "${1}" ; then
		# Make a symlink in devfs for savecore
		ln -fs "${1}" /dev/dumpdev
		return 0
	fi
	warn "unable to specify $1 as a dump device"
	return 1
}

dumpon_start()
{
	# Enable dumpdev so that savecore can see it. Enable it
	# early so a crash early in the boot process can be caught.
	#
	case ${dumpdev} in
	[Nn][Oo] | '')
		;;
	[Aa][Uu][Tt][Oo])
		dev=$(/bin/kenv -q dumpdev)
		if [ -n "${dev}" ] ; then
			dumpon_try "${dev}"
			return $?
		fi
		while read dev mp type more ; do
			[ "${type}" = "swap" ] || continue
			[ -c "${dev}" ] || continue
			dumpon_try "${dev}" 2>/dev/null && return 0
		done </etc/fstab
		echo "No suitable dump device was found." 1>&2
		return 1
		;;
	*)
		dumpon_try "${dumpdev}"
		;;
	esac
}

dumpon_stop()
{
	case ${dumpdev} in
	[Nn][Oo] | '')
		;;
	*)
		rm -f /dev/dumpdev
		/sbin/dumpon -v off
		;;
	esac
}

load_rc_config $name
run_rc_command "$1"
@


1.14.2.1
log
@file dumpon was added on branch RELENG_8_4 on 2013-03-28 13:02:43 +0000
@
text
@d1 69
@


1.14.2.2
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/248810
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@a0 69
#!/bin/sh
#
# $FreeBSD: releng/8.4/etc/rc.d/dumpon 231372 2012-02-10 10:18:30Z dougb $
#

# PROVIDE: dumpon
# REQUIRE: zvol
# BEFORE: disks
# KEYWORD: nojail

. /etc/rc.subr

name="dumpon"
start_cmd="dumpon_start"
stop_cmd="dumpon_stop"

dumpon_try()
{
	if /sbin/dumpon "${1}" ; then
		# Make a symlink in devfs for savecore
		ln -fs "${1}" /dev/dumpdev
		return 0
	fi
	warn "unable to specify $1 as a dump device"
	return 1
}

dumpon_start()
{
	# Enable dumpdev so that savecore can see it. Enable it
	# early so a crash early in the boot process can be caught.
	#
	case ${dumpdev} in
	[Nn][Oo] | '')
		;;
	[Aa][Uu][Tt][Oo])
		dev=$(/bin/kenv -q dumpdev)
		if [ -n "${dev}" ] ; then
			dumpon_try "${dev}"
			return $?
		fi
		while read dev mp type more ; do
			[ "${type}" = "swap" ] || continue
			[ -c "${dev}" ] || continue
			dumpon_try "${dev}" 2>/dev/null && return 0
		done </etc/fstab
		echo "No suitable dump device was found." 1>&2
		return 1
		;;
	*)
		dumpon_try "${dumpdev}"
		;;
	esac
}

dumpon_stop()
{
	case ${dumpdev} in
	[Nn][Oo] | '')
		;;
	*)
		rm -f /dev/dumpdev
		/sbin/dumpon -v off
		;;
	esac
}

load_rc_config $name
run_rc_command "$1"
@


1.13
log
@SVN rev 208307 on 2010-05-19 19:03:19Z by dougb

This change does the following for the scripts that run up through
FILESYSTEMS (the default early_late_divider):
1. Move sysctl to run first
2. Move as many BEFOREs to REQUIREs as possible.
3. Minor effect, move hostid_save from right before mdconfig to right
   after.

A lot of the early scripts make use of sysctl one way or another so
running this first makes a lot of sense given that system-critical
values are often placed in sysctl.conf.

My original purpose for working on this was that while doing some
debugging on other stuff I noticed that the order of execution was
different in the first pass through the early scripts and the second.
In practice that doesn't matter because the scripts are not executed the
second time. However this _can_ result in problems if the difference in
the rcorder moves a script from the late section to the early section in
the second pass (which would mean the script would not get executed).
So, I wanted to make the order of execution of the scripts in the early
section more deterministic.

In the course of debugging the ordering problems I noticed that moving
the BEFOREs to REQUIREs prevented the changes in order from the first
pass to the second pass without having to make any substantial changes.
(Of course it's no secret that I think BEFORE should be avoided as much
as possible, but this is a good example of why.)

Reviewed by:	silence on freebsd-rc@@
MFC after:	8.1-RELEASE
@
text
@d3 1
a3 1
# $FreeBSD$
@


1.13.2.1
log
@SVN rev 225736 on 2011-09-23 00:51:37Z by kensmith

Copy head to stable/9 as part of 9.0-RELEASE release cycle.

Approved by:	re (implicit)
@
text
@@


1.13.2.2
log
@## SVN ##
## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/ 242902
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ## r242902 | dteske | 2012-11-11 23:29:45 +0000 (Sun, 11 Nov 2012) | 10 lines
## SVN ##
## SVN ## Fix a regression introduced by SVN r211417 that saw the breakage of a feature
## SVN ## documented in usr.sbin/sysinstall/help/shortcuts.hlp (reproduced below):
## SVN ##
## SVN ## If /usr/sbin/sysinstall is linked to another filename, say
## SVN ## `/usr/local/bin/configPackages', then the basename will be used
## SVN ## as an implicit command name.
## SVN ##
## SVN ## Reviewed by:	adrian (co-mentor)
## SVN ## Approved by:	adrian (co-mentor)
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ##
@
text
@d3 1
a3 1
# $FreeBSD: stable/9/etc/rc.d/dumpon 208307 2010-05-19 19:03:19Z dougb $
@


1.13.2.1.4.1
log
@SVN rev 239080 on 2012-08-05 23:54:33Z by kensmith

Copy stable/9 to releng/9.1 as part of the 9.1-RELEASE release process.

Approved by:	re (implicit)
@
text
@@


1.13.2.1.4.2
log
@Switch importer
@
text
@d3 1
a3 1
# $FreeBSD: releng/9.1/etc/rc.d/dumpon 208307 2010-05-19 19:03:19Z dougb $
@


1.13.2.1.2.1
log
@SVN rev 227445 on 2011-11-11 04:20:22Z by kensmith

Copy stable/9 to releng/9.0 as part of the FreeBSD 9.0-RELEASE release
cycle.

Approved by:	re (implicit)
@
text
@@


1.13.2.1.2.2
log
@Switch importer
@
text
@d3 1
a3 1
# $FreeBSD: releng/9.0/etc/rc.d/dumpon 208307 2010-05-19 19:03:19Z dougb $
@


1.12
log
@SVN rev 179943 on 2008-06-23 04:39:36Z by mtm

Remove the -v flag from the command line to dumpon(8), and instead print
diagnostic ouput only if the command fails.
@
text
@d7 2
a8 1
# BEFORE: disks savecore initrandom
@


1.12.2.1
log
@SVN rev 196045 on 2009-08-03 08:13:06Z by kensmith

Copy head to stable/8 as part of 8.0 Release cycle.

Approved by:	re (Implicit)
@
text
@@


1.12.2.2
log
@SVN rev 231372 on 2012-02-10 10:18:30Z by dougb

MFC r208307:

This change does the following for the scripts that run up through
FILESYSTEMS (the default early_late_divider):
1. Move sysctl to run first
2. Move as many BEFOREs to REQUIREs as possible.
3. Minor effect, move hostid_save from right before mdconfig to right
   after.

A lot of the early scripts make use of sysctl one way or another so
running this first makes a lot of sense given that system-critical
values are often placed in sysctl.conf. (More details in original log.)

In addition to the changes from this revision, tweak a few other rcorder
elements in order to minimize the differences between the order before
and after this change, mostly related to scripts still in this branch
that are no longer in HEAD.
@
text
@d7 1
a7 2
# REQUIRE: zvol
# BEFORE: disks
@


1.12.2.3
log
@## SVN ##
## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/ 242909
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ## r242909 | dim | 2012-11-12 07:47:19 +0000 (Mon, 12 Nov 2012) | 20 lines
## SVN ##
## SVN ## MFC r242625:
## SVN ##
## SVN ## Remove duplicate const specifiers in many drivers (I hope I got all of
## SVN ## them, please let me know if not).  Most of these are of the form:
## SVN ##
## SVN ## static const struct bzzt_type {
## SVN ##       [...list of members...]
## SVN ## } const bzzt_devs[] = {
## SVN ##       [...list of initializers...]
## SVN ## };
## SVN ##
## SVN ## The second const is unnecessary, as arrays cannot be modified anyway,
## SVN ## and if the elements are const, the whole thing is const automatically
## SVN ## (e.g. it is placed in .rodata).
## SVN ##
## SVN ## I have verified this does not change the binary output of a full kernel
## SVN ## build (except for build timestamps embedded in the object files).
## SVN ##
## SVN ## Reviewed by:	yongari, marius
## SVN ##
## SVN ## ------------------------------------------------------------------------
## SVN ##
@
text
@d3 1
a3 1
# $FreeBSD: stable/8/etc/rc.d/dumpon 231372 2012-02-10 10:18:30Z dougb $
@


1.12.2.2.2.1
log
@SVN rev 232438 on 2012-03-03 06:15:13Z by kensmith

Copy stable/8 to releng/8.3 as part of 8.3-RELEASE release cycle.

Approved by:	re (implicit)
@
text
@@


1.12.2.2.2.2
log
@Switch importer
@
text
@d3 1
a3 1
# $FreeBSD: releng/8.3/etc/rc.d/dumpon 231372 2012-02-10 10:18:30Z dougb $
@


1.12.2.1.6.1
log
@SVN rev 216617 on 2010-12-21 17:09:25Z by kensmith

Copy stable/8 to releng/8.2 in preparation for FreeBSD-8.2 release.

Approved by:	re (implicit)
@
text
@@


1.12.2.1.4.1
log
@SVN rev 209145 on 2010-06-14 02:09:06Z by kensmith

Copy stable/8 to releng/8.1 in preparation for 8.1-RC1.

Approved by:	re (implicit)
@
text
@@


1.12.2.1.2.1
log
@SVN rev 198460 on 2009-10-25 01:10:29Z by kensmith

Copy stable/8 to releng/8.0 as part of 8.0-RELEASE release procedure.

Approved by:	re (implicit)
@
text
@@


1.11
log
@Remove rcconf.sh from /etc/rc.d, and instead load the configuration
as part of rc. Doing this, and the sourcing of rc.subr after we have
determined if we are booting diskless (and correspondingly run
rc.initdiskless if necessary) are safe, and actually allow fewer files
to be needed on the diskless box. This also allows variables from
the configuration to be available to rc itself, such as ...

Add a variable to rc.conf, early_late_divider, which designates the
script which separates the early and late stages of the boot process.
Default this to mountcritlocal, and add text to etc/defaults/rc.conf,
rc.conf(5) and diskless(8) which describes how and why one might want
to change this.

Reviewed by:	brooks
@
text
@d18 1
a18 1
	if /sbin/dumpon -v "${1}" ; then
d23 1
@


1.11.2.1
log
@Switch importer
@
text
@d3 1
a3 1
# $FreeBSD: stable/7/etc/rc.d/dumpon 220110 2011-03-28 19:29:30Z dougb $
@


1.11.12.1
log
@SVN rev 216618 on 2010-12-21 17:10:29Z by kensmith

Copy stable/7 to releng/7.4 in preparation for FreeBSD-7.4 release.

Approved by:	re (implicit)
@
text
@@


1.11.12.2
log
@Switch importer
@
text
@d3 1
a3 1
# $FreeBSD: releng/7.4/etc/rc.d/dumpon 153298 2005-12-10 20:21:46Z dougb $
@


1.11.10.1
log
@SVN rev 203736 on 2010-02-10 00:26:20Z by kensmith

Copy stable/7 to releng/7.3 as part of the 7.3-RELEASE process.

Approved by:	re (implicit)
@
text
@@


1.11.8.1
log
@SVN rev 191087 on 2009-04-15 03:14:26Z by kensmith

Create releng/7.2 from stable/7 in preparation for 7.2-RELEASE.

Approved by:	re (implicit)
@
text
@@


1.11.6.1
log
@SVN rev 185281 on 2008-11-25 02:59:29Z by kensmith

Create releng/7.1 in preparation for moving into RC phase of 7.1 release
cycle.

Approved by:	re (implicit)
@
text
@@


1.10
log
@Use kenv -q to extract dumpdev rather than kenv, in order to avoid
spamming the console in the event that a loader tunable 'dumpdev'
isn't defined, which is not a relevant failure to report.

MFC after:	1 week
@
text
@a6 1
# REQUIRE: rcconf
@


1.9
log
@Honor the "dumpdev" kenv variable if it is set and the "dumpdev" rc
variable is set to "AUTO".

MFC after:	2 weeks
@
text
@d36 1
a36 1
		dev=$(/bin/kenv dumpdev)
@


1.9.2.1
log
@Merge dumpon:1.10 from HEAD to RELENG_6:

  Use kenv -q to extract dumpdev rather than kenv, in order to avoid
  spamming the console in the event that a loader tunable 'dumpdev'
  isn't defined, which is not a relevant failure to report.

Approved by:	re (kensmith)
@
text
@d36 1
a36 1
		dev=$(/bin/kenv -q dumpdev)
@


1.9.2.2
log
@MFC the inclusion of scripts from the local_startup directories
into the base rcorder, and related changes.
@
text
@d7 1
@


1.9.2.3
log
@Switch importer
@
text
@d3 1
a3 1
# $FreeBSD: stable/6/etc/rc.d/dumpon 153601 2005-12-21 07:11:35Z dougb $
@


1.9.2.2.8.1
log
@SVN rev 183531 on 2008-10-02 02:57:24Z by kensmith

Create releng/6.4 from stable/6 in preparation for 6.4-RC1.

Approved by:	re (implicit)
@
text
@@


1.8
log
@'dumpon' can run before 'initrandom' so make it.
This gives a better chance of debugging /dev/random related panics.
@
text
@d17 10
d36 5
d44 1
a44 5
			if /sbin/dumpon -v "${dev}" 2>/dev/null; then
				# Make a symlink in devfs for savecore
				ln -s ${dev} /dev/dumpdev
				return 0
			fi
d50 1
a50 1
		/sbin/dumpon -v ${dumpdev}
@


1.7
log
@When dumpdev is set to 'auto', and a suitable swap device is found,
create a symbolic link /dev/dumpdev designating that device so
savecore can find and save a previous kernel dump.
@
text
@d7 2
a8 2
# REQUIRE: initrandom
# BEFORE: disks savecore
@


1.6
log
@Remove unused computation of memory size.

Reviewed by:	des
@
text
@d29 5
a33 1
			/sbin/dumpon -v "${dev}" 2>/dev/null && return 0
d50 1
@


1.5
log
@Remove the requirement for the FreeBSD keyword as it no longer
makes any sense.

Discussed with: dougb, brooks
MFC after: 3 days
@
text
@a25 1
		memsize=$((`/sbin/sysctl -n hw.physmem` / 1024))
@


1.4
log
@If $dumpdev is set to AUTO, use the first suitable swap partition listed
in /etc/fstab, or print an error message if no suitable device was found.

MFC after:	4 weeks
@
text
@d9 1
a9 1
# KEYWORD: FreeBSD nojail
@


1.3
log
@Mark scripts as not usable inside a jail by adding keyword 'nojail'.

Some suggestions from:	rwatson, Ruben de Groot <mail25@@bzerk.org>
@
text
@d25 10
@


1.3.2.1
log
@RCS file: /home/ncvs/src/etc/rc,v
----------------------------
revision 1.335
date: 2004/10/08 14:23:49;  author: mtm;  state: Exp;  lines: +0 -1
Remove an unused variable.

Submitted by: Pawel Worach <pawel.worach@@telia.com>
----------------------------
revision 1.334
date: 2004/10/07 13:55:25;  author: mtm;  state: Exp;  lines: +1 -1
Remove the requirement for the FreeBSD keyword as it no longer
makes any sense.

Discussed with: dougb, brooks
MFC after: 3 days
=============================================================================
RCS file: /home/ncvs/src/etc/rc.d/nsswitch,v
----------------------------
revision 1.4
date: 2004/09/16 17:03:12;  author: keramida;  state: Exp;  lines: +1 -1
Fix requirement of `network' to `NETWORK' because the former isn't
provided by any rc.d script.

Approved by:	mtm
=============================================================================
RCS file: /home/ncvs/src/etc/rc.d/pflog,v
----------------------------
revision 1.3
date: 2004/09/16 17:04:20;  author: keramida;  state: Exp;  lines: +1 -1
We don't have any providers of `beforenetlkm' in FreeBSD.  Remove the
dependency to it from our rc.d scripts.

Approved by:	mtm
=============================================================================

Approved by: re/scottl
@
text
@d9 1
a9 1
# KEYWORD: nojail
@


1.3.2.2
log
@MFC: if dumpdev is "AUTO", pick the first usable swap device from fstab.
@
text
@a24 13
	[Aa][Uu][Tt][Oo])
		while read dev mp type more ; do
			[ "${type}" = "swap" ] || continue
			[ -c "${dev}" ] || continue
			if /sbin/dumpon -v "${dev}" 2>/dev/null; then
				# Make a symlink in devfs for savecore
				ln -s ${dev} /dev/dumpdev
				return 0
			fi
		done </etc/fstab
		echo "No suitable dump device was found." 1>&2
		return 1
		;;
a36 1
		rm -f /dev/dumpdev
@


1.3.2.3
log
@MFC: (1.9) honor dumpdev kenv variable if rc.conf specifies AUTO.
@
text
@a16 10
dumpon_try()
{
	if /sbin/dumpon -v "${1}" ; then
		# Make a symlink in devfs for savecore
		ln -fs "${1}" /dev/dumpdev
		return 0
	fi
	return 1
}

a25 5
		dev=$(/bin/kenv dumpdev)
		if [ -n "${dev}" ] ; then
			dumpon_try "${dev}"
			return $?
		fi
d29 5
a33 1
			dumpon_try "${dev}" 2>/dev/null && return 0
d39 1
a39 1
		dumpon_try "${dumpdev}"
@


1.3.2.4
log
@Merge dumpon:1.10 from HEAD to RELENG_5:

  Use kenv -q to extract dumpdev rather than kenv, in order to avoid
  spamming the console in the event that a loader tunable 'dumpdev'
  isn't defined, which is not a relevant failure to report.
@
text
@d36 1
a36 1
		dev=$(/bin/kenv -q dumpdev)
@


1.2
log
@Teach /etc/rc.d/dumpon script how to stop.

Reviewed by:	gordon
Approved by:	gordon, scottl (mentor)
@
text
@d9 1
a9 1
# KEYWORD: FreeBSD
@


1.1
log
@Merge in all the changes that Mike Makonnen has been maintaining for a
while. This is only the script pieces, the glue for the build comes next.

Submitted by:	Mike Makonnen <makonnen@@pacbell.net>
Reviewed by:	silence on -current and -hackers
Prodded by:	rwatson
@
text
@d15 1
a15 1
stop_cmd=":"
d27 11
@

